---------------------
PatchSet 1092 
Date: 2001/01/05 12:16:51
Author: adri
Branch: modio
Tag: (none) 
Log:


Merge a storeKeyPublic() / storeGet() sequence with storeGetPublic().
It does the same thing anyway.

Members: 
	src/ftp.c:1.2.2.3->1.2.2.4 

Index: squid/src/ftp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ftp.c,v
retrieving revision 1.2.2.3
retrieving revision 1.2.2.4
diff -u -r1.2.2.3 -r1.2.2.4
--- squid/src/ftp.c	13 Dec 2000 09:45:02 -0000	1.2.2.3
+++ squid/src/ftp.c	5 Jan 2001 12:16:51 -0000	1.2.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ftp.c,v 1.2.2.3 2000/12/13 09:45:02 rbcollins Exp $
+ * $Id: ftp.c,v 1.2.2.4 2001/01/05 12:16:51 adri Exp $
  *
  * DEBUG: section 9     File Transfer Protocol (FTP)
  * AUTHOR: Harvest Derived
@@ -1044,7 +1044,6 @@
     FtpStateData *ftpState = xcalloc(1, sizeof(FtpStateData));
     HttpReply *reply;
     StoreEntry *pe = NULL;
-    const cache_key *key = NULL;
     cbdataAdd(ftpState, cbdataXfree, 0);
     debug(9, 3) ("ftpStart: '%s'\n", url);
     statCounter.server.all.requests++;
@@ -1076,8 +1075,8 @@
 		ftpState->user, request->port);
 	}
 	/* eject any old cached object */
-	key = storeKeyPublic(entry->mem_obj->url, entry->mem_obj->method);
-	if ((pe = storeGet(key)) != NULL)
+	pe = storeGetPublic(entry->mem_obj->url, entry->mem_obj->method);
+	if (pe != NULL)
 	    storeRelease(pe);
 	/* create reply */
 	reply = entry->mem_obj->reply;
